CREATE DATABASE pragmatic_examples;
use pragmatic_examples;

CREATE TABLE journal_entries( 
id smallint unsigned not null, 
personId smallint, 
createdTimestamp TIMESTAMP NOT NULL, 
body TEXT NOT NULL, 
constraint pk_example primary key (id) );

CREATE TABLE people(
id smallint unsigned not null,
firstname varchar(50),
lastname varchar(50)
);

INSERT INTO journal_entries
VALUES (1, 1, CURRENT_DATE(), "We’re putting the band back together.");
INSERT INTO journal_entries
VALUES (2, 3, CURRENT_DATE(), "Time for klava.");
INSERT INTO journal_entries
VALUES (3, 2, CURRENT_DATE(), "Time for toast.");
INSERT INTO journal_entries
VALUES (4, 1, CURRENT_DATE(), "Time for four fried chickens. And a coke.");

INSERT INTO people VALUES (1, "Jake", "Blues");
INSERT INTO people VALUES (2, "Elwood", "Blues");
INSERT INTO people VALUES (3, "Vlad", "Taltos");



GRANT ALL PRIVILEGES ON *.* TO 'singleuser'@'localhost' IDENTIFIED BY 'singlepassword';
GRANT SELECT ON *.* TO 'selectuser'@'localhost' IDENTIFIED BY 'selectpassword';

